@import url('https://fonts.googleapis.com/css2?family=Fira+Code:wght@300..700&display=swap');
.fira-code {
    font-family: "Fira Code", monospace;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
}
:root {
    --font-size-head: 62px;
    --font-size-subhead: 32px;
    --font-size-bodytext: 18px;
    --font-size-labels: 16px;
    --font-size-code: 14px;
    --cor-fundo:#011627;
    --max-width: 1050px;
}
* {
    padding: 0%;
    margin: 0%;
    font-family: "Fira Code", monospace;
}
body {
    height: 100dvh;
    background-color: var(--cor-fundo);
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: space-between;
}
/* nav */
nav {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid gray;
}
.listas {
    display: flex;
    align-items: center;
    justify-content: center;
    list-style: none;
    color: #607b96;
}
.navegacao li {
    padding: 1rem;
    cursor: pointer;
}
.navegacao li.ativo {
    border-bottom: 2px solid rgb(232, 248, 1);
    color: white;
}
.navegacao li:nth-child(2), 
.navegacao li:nth-child(3),
.navegacao li:nth-child(4){
    border-left: 1px solid gray;
}
.projetos {
    border-right: 1px solid gray;
}
.navegacao > span {
    padding: 1rem;
    border-left: 1px solid gray;
    color: #607b96;
    cursor: pointer;
}
.botao {
    display: none;
}
/* header */
.cabeca {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    border-bottom: 1px solid gray;
    height: 100%;
}
.hello {
    margin-left: 0;
}
.hello > span {
    font-size: var(--font-size-code);
    color: white;
}
.hello > h1 {
    font-size: var(--font-size-head);
    color: white;
}
.hello > h2 {
    font-size: var(--font-size-subhead);
    margin-bottom: 2rem;
    color: #4d5bce;
}
.hello >div{
    margin-top: 0;
}
.hello >div >p{
    padding: .3rem;
    font-size: var(--font-size-code);
    color: white;
}
.hello >div p:nth-child(1) {
    color: gray;
}
.hello >div p:nth-child(2) {
    color: gray;
}
.hello >div p:nth-child(3) .const {
    color: #4d5bce;
}
.hello >div p:nth-child(3) .github {
    color: #43d9ad;
}
.hello >div p:nth-child(3) a {
    color: #e99287;
    text-decoration: none;
}
.ilustracao {
    padding: 2rem;
    background-image: linear-gradient(30deg, #43d9ad, #4d5bce);
    border-radius: 5px;
    display: block;
}
/* footer */
footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #607b96;
}
footer ul {
    display: flex;
    align-items: center;
    justify-content: center;
    list-style: none;
}
footer li {
    padding: 1rem;
}
footer > ul li:nth-child(2) {
    border-right: 1px solid gray;
    border-left: 1px solid gray;
}
footer > ul li:nth-child(3) {
    border-right: 1px solid gray;
}
footer > div {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1rem;
    border-left: 1px solid gray;
}
footer > div span {
    margin-right: .5rem;
}